Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ComplexRelationLegRequest.Builder

Object
Builder

Enclosing class:
  `ComplexRelationLegRequest`

public static final class ComplexRelationLegRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ComplexRelationLegRequest.Builder`
  `assetId(UUID assetId)`
  Required. The ID of the asset attached to the leg of the complex relation.
  `ComplexRelationLegRequest`
  `build()`
  `ComplexRelationLegRequest.Builder`
  `but()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  This method will be removed in the future.
  `ComplexRelationLegRequest.Builder`
  `legTypeId(UUID legTypeId)`
  Deprecated.
  Use `relationTypePublicId` instead.
  `ComplexRelationLegRequest.Builder`
  `relationTypeId(UUID relationTypeId)`
  The ID of the type of the relation for complex relation.
  `ComplexRelationLegRequest.Builder`
  `relationTypePublicId(String relationTypePublicId)`
  The public ID of the type of the relation of the leg.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated(forRemoval=true) public ComplexRelationLegRequest.Builder but()
    Deprecated, for removal: This API element is subject to removal in a future version.
    This method will be removed in the future. Use `ComplexRelationLegRequest.builder()`
    Clone method for this Builder.

  - ### legTypeId

    @Deprecated public ComplexRelationLegRequest.Builder legTypeId(UUID legTypeId)
    Deprecated.
    Use `relationTypePublicId` instead.
    The ID of the type of the single leg for complex relation. Must be specified if `relationTypeId` and `relationTypePublicId` are not specified.
    Returns:
      `this`.

  - ### relationTypeId

    public ComplexRelationLegRequest.Builder relationTypeId(UUID relationTypeId)
    The ID of the type of the relation for complex relation. Must be specified if `legTypeId` and `relationTypePublicId` are not specified.
    Returns:
      `this`.

  - ### relationTypePublicId

    public ComplexRelationLegRequest.Builder relationTypePublicId(String relationTypePublicId)
    The public ID of the type of the relation of the leg. Must be specified if `legTypeId` and `relationTypeId` are not specified.
    Returns:
      `this`.

  - ### assetId

    public ComplexRelationLegRequest.Builder assetId(UUID assetId)
    Required. The ID of the asset attached to the leg of the complex relation.
    Returns:
      `this`.

  - ### build

    public ComplexRelationLegRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`